updateQuery
PUT /v5/books/{bookId}/queries
Update a saved query
Authorizations
Parameters
Path Parameters
The id of the book. Same bookId url param on Bkper
Request Body
object
The id of agent that created the resource
The creation timestamp, in milliseconds
The unique id that identifies the saved Query in the Book
The Query string to be executed
The title of the saved Query
The last update timestamp, in milliseconds
Responses
200
A Query response
object
The id of agent that created the resource
The creation timestamp, in milliseconds
The unique id that identifies the saved Query in the Book
The Query string to be executed
The title of the saved Query
The last update timestamp, in milliseconds
Examples
{ "agentId": "string", "createdAt": "1592000000000", "id": "string", "query": "string", "title": "string", "updatedAt": "1592000000000"}default
An error response from the Bkper API or its public API proxy.
A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.